Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 833548

Summary: [abrt] flumotion-0.10.0-2.fc17: common.py:393:assertSSLAvailable:AttributeError: 'module' object has no attribute 'sslEnabled'
Product: [Fedora] Fedora Reporter: Pierre Luketo <pierre-luk>
Component: flumotionAssignee: Sergio Basto <sergio>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: celiohermoso, dzansolov, jeff, moelkh, orti1980, rbean, sergio, sylvain, thomas
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:df3bf7cfb1c90783fb7cefd86555ef73e2aa8092
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-04-04 15:05:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Pierre Luketo 2012-06-19 18:27:27 UTC
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/flumotion-manager --rundir=/tmp/tmplXZgcP.flumotion/var/run --logdir=/tmp/tmplXZgcP.flumotion/var/log -D --daemonize-to /home/pierre --service-name admin /tmp/tmplXZgcP.flumotion/etc/managers/admin/planet.xml
comment:        I tried to launch the program from the menu "Applications-> Sound & Video-> Flumotion Stream ..." and nothing else...
executable:     /usr/bin/flumotion-manager
kernel:         3.4.0-1.fc17.i686.PAE
time:           mar 19 giu 2012 20:14:32 CEST
uid:            1000
username:       pierre

backtrace:
:common.py:393:assertSSLAvailable:AttributeError: 'module' object has no attribute 'sslEnabled'
:
:Traceback (most recent call last):
:  File "/usr/bin/flumotion-manager", line 42, in <module>
:    boot.boot(PROGRAM_PATH, gst=False, gtk=False, installReactor=False)
:  File "/usr/lib/flumotion/python/flumotion/common/boot.py", line 305, in boot
:    sys.exit(wrapped(sys.argv))
:  File "/usr/lib/flumotion/python/flumotion/manager/main.py", line 231, in main
:    configure.configdir)
:  File "/usr/lib/flumotion/python/flumotion/common/server.py", line 99, in startSSL
:    common.assertSSLAvailable()
:  File "/usr/lib/flumotion/python/flumotion/common/common.py", line 393, in assertSSLAvailable
:    if not posixbase.sslEnabled:
:AttributeError: 'module' object has no attribute 'sslEnabled'
:
:Local variables in innermost frame:
:posixbase: <module 'twisted.internet.posixbase' from '/usr/lib/python2.7/site-packages/twisted/internet/posixbase.pyc'>
:errors: <module 'flumotion.common.errors' from '/usr/lib/flumotion/python/flumotion/common/errors.py'>

Comment 1 Štefan Gurský 2012-08-25 01:23:39 UTC
I started Flumotion Streaming Server Administration after installing flumotion and in wizard I selected starting new manager.

Package: flumotion-0.10.0-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)

Comment 2 Ralph Bean 2013-03-06 16:19:06 UTC
I hit this as well in Fedora 18.

Comment 3 Ralph Bean 2013-03-06 16:32:56 UTC
It looks like the upstream release of flumotion-0.10.1 fixes this with compatibility with Twisted 12.

A bump to the latest upstream and a rebuild made this work for me.

Comment 4 Fedora End Of Life 2013-07-04 04:01:46 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ralph Bean 2014-02-12 20:44:24 UTC
Hi again, just noting that a simple bump to the latest upstream release should fix this.

Comment 6 Sergio Basto 2014-11-01 04:01:11 UTC
*** Bug 1105834 has been marked as a duplicate of this bug. ***

Comment 7 Sergio Basto 2014-11-01 04:05:42 UTC
*** Bug 919730 has been marked as a duplicate of this bug. ***

Comment 8 Sergio Basto 2014-11-01 04:08:53 UTC
I don't believe a simple update to 10.1 fix this and since 2012-7-06 nobody did .
Thomas I'm going request commit permissions to do it , please let me do it .

Comment 9 Sergio Basto 2014-11-01 04:16:54 UTC
*** Bug 1051807 has been marked as a duplicate of this bug. ***

Comment 10 Allan Lewis 2015-02-13 16:54:37 UTC
Another user experienced a similar problem:

I tried to start a local manager instance from Flumotion Admin.

reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/flumotion-manager --rundir=/tmp/tmpstWGTl.flumotion/var/run --logdir=/tmp/tmpstWGTl.flumotion/var/log -D --daemonize-to /home/alewis --service-name admin /tmp/tmpstWGTl.flumotion/etc/managers/admin/planet.xml
executable:     /usr/bin/flumotion-manager
kernel:         3.17.7-200.fc20.x86_64
package:        flumotion-0.10.0-7.fc20
reason:         common.py:393:assertSSLAvailable:AttributeError: 'module' object has no attribute 'sslEnabled'
runlevel:       N 5
type:           Python
uid:            1000

Comment 11 Sergio Basto 2015-05-08 13:00:11 UTC
*** Bug 1177383 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2015-05-08 13:56:18 UTC
flumotion-0.10.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/flumotion-0.10.1-1.fc22

Comment 13 Fedora Update System 2015-05-10 17:45:56 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc22

Comment 14 Fedora Update System 2015-05-10 17:46:39 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc21

Comment 15 Fedora Update System 2015-05-10 17:47:31 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc20

Comment 16 Fedora Update System 2015-05-12 20:37:56 UTC
Package flumotion-0.11.0.1-2.20140103git886031a.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing flumotion-0.11.0.1-2.20140103git886031a.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8019/flumotion-0.11.0.1-2.20140103git886031a.fc21
then log in and leave karma (feedback).

Comment 17 Jan Kurik 2015-07-15 15:07:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23